Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 247 - telnetd segfaults with a given .telnetrc file
Summary: telnetd segfaults with a given .telnetrc file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: telnet
Version: 5.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-01 12:06 UTC by lionel.cons
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-06 23:46:19 UTC


Attachments (Terms of Use)

Description lionel.cons 1998-12-01 12:06:26 UTC
On a machine with Red Hat Linux 5.1 for i386 and all
the updated RPMs, I see the following:

[mybox] ~ > cat .telnetrc
default environ undefine USER
default set flushoutput off
[mybox] ~ > telnet mybox
Trying 137.138.3.123...
flushoutput character is 'off'.
Connected to mybox.
Escape character is '^]'.
Segmentation fault

/var/log/messages contains:
Dec  1 12:52:59 mybox telnetd[678]: ttloop:  read: Broken
pipe

It works fine when removing the ~/.telnetrc file.
It works also fine on other UNIXes including (but I'm not
100% sure) Red Hat Linux 4.1.

Comment 1 David Lawrence 1998-12-01 16:28:59 UTC
This has been verified to be a bug. It occurs on systems later than
5.0. It only occurs if the first line is present. I comment it out and
the problem did not occur.

Comment 2 Jeff Johnson 1999-04-06 23:46:59 UTC
The segfault is actually in telnet, not telnetd.

Fixed (by scrapping the netkit telnet in favor of an OpenBSD client)
in telnet-0.10-24.


Note You need to log in before you can comment on or make changes to this bug.